#ifndef UPNP_DS_DEVICE_H
#define UPNP_DS_DEVICE_H
#include "upnp.h"

#define DEF_PORT	49152	
#define DEF_DIR_PATH	"/usr/upnp/"
#define DEF_DOCUMENT	"gateway.xml"

struct GateEnv
{
		UpnpDevice_Handle device_handle;
		char *ext_ifname;
		char *int_ifname;
		// export variables
	
		int advr_expire;
		int advr_ttl;	
	
		// State Variables
		char ConnectionStatus[20];
		long int startup_time;
		int NATEnabled;
		char ExternalIPAddress[20];
		char InternalIPAddress[20];	
		unsigned long UpstreamSpeed;
		unsigned long DownstreamSpeed;
			
};
#endif

