#ifndef _TIME_ZONE_H_
#define _TIME_ZONE_H_

static int Mday(int iYear, int iMonth, int iWday, int iNum, int iDrection);
int time_adjust_new(char * szTimeZone);
int daylight_saving_new();

#ifndef ERROR
#define ERROR 0
#endif

enum {
  January = 1,
  February,
  March,
  April,
  May,
  June,
  July,
  August,
  September,
  October,
  November,
  December
}MONTH;

enum {
  Monday = 1,
  Tuesday,
  Wednesday,
  Thursday,
  Friday,
  Saturday,
  Sunday
}WEEKDAY;

enum {
  First = 1,
  Second,
  Third,
  Last
}ORDER;

enum {
  AUSEastern,
  CenAustralia,
  CET,
  ESouthAmerica,
  EET,
  Egypt,
  Iraq,
  Israel,
  MidAtlantic,
  NA,
  NewZealand,
  Newfoundland,
  PacificSA,
  Tasmania,
  USA,
  WAustralia,
  WET,
  Unknown_new
}DSTZONE;

typedef struct
{
  int iNum;
  int iWday;
  int iMon;
  int iHour;
  int iMin;
}tTimePoint;

struct DST
{
  int iDstName;
  tTimePoint tStartPoint;
  tTimePoint tEndPoint;
};

struct TimeZone
{
  char * szDescribe;
  char * szTimeZone;
  int iDSTZone;
};

#endif /* _TIME_ZONE_H_ */
