#!/bin/sh

if test ! "$#" -eq 1
then
   echo "\n\nUsage: $0 <start|stop|restart>\n"
   exit -1
fi

if test "$1" != "start"
then
  # rm -f /var/respawnd/fatal/paed
   mv /var/respawnd/fatal/paed /var/respawnd/

   
   if [ -r /var/run/paed.pid ]; then
     kill `cat /var/run/paed.pid`
   
     if test "$?" -eq 0
     then
        echo "paed stopped succesfully"
        sleep 2
        # aplog SYS_SUBSYS_STOP "802.1x authenticator"
     else
        echo "Error stopping paed"
     fi
   else
     echo "/var/run/paed.pid not found, doing killall"
     killall paed
   fi
fi

if test "$1" != "stop"
then
     echo "(Re)starting paed"
   #  touch /var/respawnd/fatal/paed
   mv /var/respawnd/paed /var/respawnd/fatal/paed
     paed -l5 -s &

     if test "$?" -eq 0
     then
         echo "paed (re)started succesfully"
	 exit 0
     else
         echo "paed (re)started un-succesfully"
	 exit 1
     fi
fi
